> ## Name

> cgSetParameter1d - set the value of scalar and vector parameters

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetParameter1d( CGparameter param,
>                            double x );

> ## Parameters

> param
>   The parameter that will be set.
> x
>   The value to which param will be set.

> ## Return Values

> None.

> ## Description

> cgSetParameter1d sets the value of a given scalar or vector parameter.

> Once cgSetParameter1d has been used to set a parameter, the values may be retrieved from the parameter using the CG_CURRENT enumerant with cgGetParameterValues.

> If an API-dependant layer of the Cg runtime (e.g. cgGL) is used, these entry points may end up making API (e.g. OpenGL) calls.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is a varying input to a fragment program.

> ## History

> cgSetParameter1d was introduced in Cg 1.2.

> ## See Also

> cgGetParameterValue, cgGetParameterValues